
CoCoALib - Feature #257

Transcribe C4 code for GCD in QQ[x]

09 Oct 2012 15:36 - John Abbott

Status: New Start date: 09 Oct 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

The old CoCoA-4 univariate GCD code should be transcribed into CoCoALib.

It comprises:

gcd in Fp[x] via standard euclidean algorithm.

Removal of content.

Leading coeff handling.

Optional reversal trick.

chinese remaindering of many modular images

heuristic stopping criterion & check

final content correction

Why not use Hensel?

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

Related to CoCoALib - Feature #127: Convert DUPFF code to C++ In Progress 05 Apr 2012

Related to CoCoALib - Slug #952: GCD very slow Closed 25 Oct 2016

Related to CoCoA-5 - Slug #480: gcd too slow for large degree univariate poly New 18 Mar 2014

History

#1 - 01 Aug 2014 08:59 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

#2 - 24 Nov 2016 13:23 - John Abbott

- Related to Feature #127: Convert DUPFF code to C++ added

#3 - 24 Nov 2016 13:23 - John Abbott

- Related to Slug #952: GCD very slow added

#4 - 24 Nov 2016 13:24 - John Abbott

- Related to Slug #480: gcd too slow for large degree univariate poly added
